Get videos by IDs
curl --request GET \
--url https://api.example.com/media/video/{ids}import requests
url = "https://api.example.com/media/video/{ids}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/media/video/{ids}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"system": "<string>",
"id": "<string>",
"originId": "<string>",
"provider": "<string>",
"url": "<string>",
"title": "<string>",
"thumbnail": "<string>",
"status": "<string>",
"owner": "<string>",
"recipientId": "<string>",
"readyTimestamp": "2023-11-07T05:31:56Z",
"paymentId": "<string>"
}API Reference
Get videos by IDs
Retrieves video data for a comma-separated list of video IDs
GET
/
media
/
video
/
{ids}
Get videos by IDs
Path Parameters
Comma-separated video IDs
Response
200 - application/json
List of videos retrieved successfully
Video data entity
Unique video identifier
Original video ID from provider
Video provider (e.g., youtube)
Video URL
Video title
Video thumbnail URL
Video status
Owner of the video
Recipient ID associated with this video
Timestamp when video is ready
Payment ID associated with this video
Was this page helpful?